Subject: Re: Or call
From: "Michael B" <[email-masked]>
To: "Stephen" <[email-masked]>
Date: Mon, 6 Oct 2014 10:41:02 -0400

Hello Stephen.
I am pretty swamped this week.  We have had machine problems and are busy trying to get caught up as it is "the busy season".  Is there something that you need to ask me about specifically?  I am not trying to be rude but I don't have a lot of extra time to chat now.  You are welcome to stop in Friday.  I am just not sure where we will be with things by then and don't know my availably.  Take care.  
Thank you,
Michael B
LLPS

From: Stephen 
Sent: Saturday, October 04, 2014 12:48 PM
To: [email-masked] 
Subject: Or call

      Or if you prefer you could give me a call or let me know when a good time for me to call you would be. That would actually be easier as I'm not for certain what Mark is going to say. He may still want me to stay until Friday. 

      Thanks, 

      Stephen
      517-512-2229

      Sent from Yahoo Mail on Android